petsc-3.13.6 2020-09-29
Report Typos and Errors

# Vec

Abstract PETSc vector object

### Synopsis

    typedef struct _p_Vec*         Vec;

### See Also

VecCreate(), VecType, VecSetType()

### Level

beginner

### Location

src/vec/vscat/../../../include/petscvec.h

### Examples

src/vec/vec/utils/tagger/tutorials/ex1.c.html
src/vec/vec/tutorials/ex7.c.html
src/vec/vec/tutorials/ex1f.F90.html
src/vec/vec/tutorials/ex1f90.F90.html
src/vec/vec/tutorials/ex16f.F90.html
src/dm/tutorials/ex10.c.html
src/dm/tutorials/ex13f90aux.F90.html
src/ksp/ksp/tutorials/ex9.c.html
src/ksp/ksp/tutorials/ex10.c.html
src/ksp/ksp/tutorials/ex15.c.html
src/ksp/ksp/tutorials/ex25.c.html

### Implementations

_p_Vec in include/petsc/private/vecimpl.h
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages